Error when npm install expo

#1

When I try to npm install expo i found this following error

It seems that they can’t find Entypo.ttf. I’ve tried to manually locate it inside node-module/@expo/vector-icons/fonts and I can see the ttf file. Anyone have this similar error? How to fix this? Thank you

#2

Hi! Is this an existing React Native project? If you want to use Expo in an existing project, you’ll generally need to follow the instructions for ExpoKit, run exp convert to get an Expo project. In general it’s easiest to use Expo by creating a new project from one of the templates.

#3

yes this is existing project, I wonder, can I only take parts of expo library and install it via NPM? Because I want to use your ImagePicker library because it’s very handy, but I ended up installing the whole expo, because I cannot find a way to do a partial installation, then I found the above problem in the process :frowning:

#4

Right now you can only use the Expo ImagePicker API if you’re developing with the Expo client or with ExpoKit.